MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024665Open CASCADE[OCCT] OCCT:Application Frameworkpublic2014-02-25 15:422018-03-09 11:17
Reportervro 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version32 bit
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0024665: A sample for advanced function mechanism
DescriptionA sample application of the Function Mechanism of Open CASCADE Application Framework. This sample illustrates usage of recently upgraded Function Mechanism (in the version 6.5.0):
 - construction of a graph of functions and iteration through the graph for single- and multi-threaded modes of calculation;
 - calculation of several simple models in signle- and multi-threaded modes.
Steps To ReproduceReview please the branch CR24665_2:
 - PRO file is added.
 - A description of how to generate the Visual Studio project files + compile.
 - The folder for the sample is renamed to FuncDemo, seems not so long.
TagsNo tags attached.
Test case number
Attached Files

- Relationships
parent of 0029559closedbugmaster Community Samples - wrong copyright statement in FuncDemo 

-  Notes
(0028029)
vro (developer)
2014-02-25 15:55

Sergey, could you review it please?
The branch is CR24665.
(0028037)
szy (manager)
2014-02-26 16:37

To be checked compilation & running for other VC compilers and bit modes (64).
Testing is not required.
(0028300)
apn (administrator)
2014-03-17 14:25

Trying to compile with vc10 win32 (launch msvc.bat vc10 win32 Release):

  edge.cpp
src\edge.cpp(22): fatal error C1083: Cannot open include file: 'QPainter': No such file or directory
  FThread.cpp
w:\builds\vc9\24665-vc10\samples\qt\advancedfunctionmechanismdemo\src\FThread.h(4): fatal error C1083: Cannot open include file: 'QThread': No such file or directory
  graphwidget.cpp
w:\builds\vc9\24665-vc10\samples\qt\advancedfunctionmechanismdemo\src\graphwidget.h(25): fatal error C1083: Cannot open include file: 'QtGui/QGraphicsView': No such file or directory
  main.cpp
src\main.cpp(22): fatal error C1083: Cannot open include file: 'QApplication': No such file or directory
  mainwindow.cpp
src\mainwindow.cpp(22): fatal error C1083: Cannot open include file: 'QtGui': No such file or directory
  moc_FThread.cpp
w:\builds\vc9\24665-vc10\samples\qt\advancedfunctionmechanismdemo\src\FThread.h(4): fatal error C1083: Cannot open include file: 'QThread': No such file or directory
  moc_graphwidget.cpp
w:\builds\vc9\24665-vc10\samples\qt\advancedfunctionmechanismdemo\src\graphwidget.h(25): fatal error C1083: Cannot open include file: 'QtGui/QGraphicsView': No such file or directory
  moc_mainwindow.cpp
w:\builds\vc9\24665-vc10\samples\qt\advancedfunctionmechanismdemo\src\mainwindow.h(25): fatal error C1083: Cannot open include file: 'QMainWindow': No such file or directory
  node.cpp
src\node.cpp(22): fatal error C1083: Cannot open include file: 'QGraphicsScene': No such file or directory
(0028309)
vro (developer)
2014-03-17 16:33

Please try to set CHECK_QT4=true in custom.bat of Open CASCADE. Also, check please if Qt for Visual Studio 9 exists on your computer. Any questions are welcome!
(0043566)
kgv (developer)
2015-07-27 14:18

Dear bugmaster,

please update the state of the patch.
(0048630)
vro (developer)
2015-11-27 14:48

A new branch CR24665_1 is created to update the sample after modifications in CR26005_1.
(0050556)
git (administrator)
2016-02-10 08:05

Branch CR24665_2 has been created by vro.

SHA-1: e543f271b2ebad5d8bcfb99f7d5c67392a821e25


Detailed log of new commits:

Author: vro
Date: Wed Feb 10 08:04:45 2016 +0300

    0024665: A sample for advanced function mechanism
(0050610)
szy (manager)
2016-02-11 10:18

Add, please:
1) 'genproj' procedure for generation of Vstudio projects for different compilers
2) note in documentation how to build a required configuration and run the sample.
(0050623)
git (administrator)
2016-02-11 12:31

Branch CR24665_2 has been updated by vro.

SHA-1: 0efd27261c543ecfce5248c648b7d968e9585408


Detailed log of new commits:

Author: vro
Date: Thu Feb 11 12:31:23 2016 +0300

    PRO file is added + a description of how to generate the Visual Studio projects and compile.
    In addition, the sample folder is renamed to FuncDemo.

(0050668)
szy (manager)
2016-02-12 10:28

Test, please.
(0050685)
git (administrator)
2016-02-12 12:51

Branch CR24665_2 has been updated by inv.

SHA-1: f0a6fee7a9c41a94589b3ee91ebc505a0099fdef


Detailed log of new commits:

Author: bugmaster
Date: Fri Feb 12 12:42:17 2016 +0300

    Adding 64 bit configuration to VC projects

(0051142)
git (administrator)
2016-02-25 17:30

Branch CR24665_4 has been created by inv.

SHA-1: 6396eacb4f5269628fe4ac5af09e42b7df68c35b


Detailed log of new commits:

Author: bugmaster
Date: Thu Feb 25 17:08:20 2016 +0300

    0024665: A sample for advanced function mechanism
    Update for Linux platform
(0052856)
git (administrator)
2016-04-17 13:27

Branch CR24665 has been deleted by kgv.

SHA-1: 9dda4d88a3375065208a29a30b3940dd5b7adb89
(0052857)
git (administrator)
2016-04-17 13:27

Branch CR24665_2 has been deleted by kgv.

SHA-1: f0a6fee7a9c41a94589b3ee91ebc505a0099fdef
(0052858)
git (administrator)
2016-04-17 13:27

Branch CR24665_4 has been deleted by kgv.

SHA-1: 6396eacb4f5269628fe4ac5af09e42b7df68c35b

- Related Changesets
occt: master aff5997d
Timestamp: 2016-02-10 05:04:45
Author: abv
Committer: abv
Details ] Diff ]
0024665: A sample for advanced function mechanism

PRO file is added + a description of how to generate the Visual Studio projects and compile.
In addition, the sample folder is renamed to FuncDemo.

Adding 64 bit configuration to VC projects
add - samples/qt/FuncDemo/custom.bat Diff ] File ]
add - samples/qt/FuncDemo/env.bat Diff ] File ]
add - samples/qt/FuncDemo/FuncDemo-vc10.sln Diff ] File ]
add - samples/qt/FuncDemo/FuncDemo-vc11.sln Diff ] File ]
add - samples/qt/FuncDemo/FuncDemo-vc12.sln Diff ] File ]
add - samples/qt/FuncDemo/FuncDemo.pro Diff ] File ]
add - samples/qt/FuncDemo/genproj.bat Diff ] File ]
add - samples/qt/FuncDemo/images/new.png Diff ] File ]
add - samples/qt/FuncDemo/images/open.png Diff ] File ]
add - samples/qt/FuncDemo/images/save.png Diff ] File ]
add - samples/qt/FuncDemo/make.sh Diff ] File ]
add - samples/qt/FuncDemo/msvc.bat Diff ] File ]
add - samples/qt/FuncDemo/ReadMe.md Diff ] File ]
add - samples/qt/FuncDemo/run.bat Diff ] File ]
add - samples/qt/FuncDemo/src/BaseDriver.cpp Diff ] File ]
add - samples/qt/FuncDemo/src/BaseDriver.h Diff ] File ]
add - samples/qt/FuncDemo/src/CircleDriver.cpp Diff ] File ]
add - samples/qt/FuncDemo/src/CircleDriver.h Diff ] File ]
add - samples/qt/FuncDemo/src/ConeDriver.cpp Diff ] File ]
add - samples/qt/FuncDemo/src/ConeDriver.h Diff ] File ]
add - samples/qt/FuncDemo/src/CylinderDriver.cpp Diff ] File ]
add - samples/qt/FuncDemo/src/CylinderDriver.h Diff ] File ]
add - samples/qt/FuncDemo/src/edge.cpp Diff ] File ]
add - samples/qt/FuncDemo/src/edge.h Diff ] File ]
add - samples/qt/FuncDemo/src/FThread.cpp Diff ] File ]
add - samples/qt/FuncDemo/src/FThread.h Diff ] File ]
add - samples/qt/FuncDemo/src/graphwidget.cpp Diff ] File ]
add - samples/qt/FuncDemo/src/graphwidget.h Diff ] File ]
add - samples/qt/FuncDemo/src/main.cpp Diff ] File ]
add - samples/qt/FuncDemo/src/mainwindow.cpp Diff ] File ]
add - samples/qt/FuncDemo/src/mainwindow.h Diff ] File ]
add - samples/qt/FuncDemo/src/node.cpp Diff ] File ]
add - samples/qt/FuncDemo/src/node.h Diff ] File ]
add - samples/qt/FuncDemo/src/PointDriver.cpp Diff ] File ]
add - samples/qt/FuncDemo/src/PointDriver.h Diff ] File ]
add - samples/qt/FuncDemo/src/PrismDriver.cpp Diff ] File ]
add - samples/qt/FuncDemo/src/PrismDriver.h Diff ] File ]
add - samples/qt/FuncDemo/src/ShapeSaverDriver.cpp Diff ] File ]
add - samples/qt/FuncDemo/src/ShapeSaverDriver.h Diff ] File ]
add - samples/qt/FuncDemo/src/SimpleDriver.cpp Diff ] File ]
add - samples/qt/FuncDemo/src/SimpleDriver.h Diff ] File ]
occt: master 6396eacb
Timestamp: 2016-02-25 14:08:20
Author: bugmaster
Details ] Diff ]
0024665: A sample for advanced function mechanism
Update for Linux platform
mod - samples/qt/FuncDemo/custom.bat Diff ] File ]
add - samples/qt/FuncDemo/custom.sh Diff ] File ]
add - samples/qt/FuncDemo/env.sh Diff ] File ]
mod - samples/qt/FuncDemo/FuncDemo.pro Diff ] File ]
add - samples/qt/FuncDemo/run.sh Diff ] File ]
mod - samples/qt/FuncDemo/src/FThread.cpp Diff ] File ]
mod - samples/qt/FuncDemo/src/mainwindow.cpp Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-02-25 15:42 vro New Issue
2014-02-25 15:42 vro Assigned To => vro
2014-02-25 15:55 vro Note Added: 0028029
2014-02-25 15:55 vro Assigned To vro => szy
2014-02-25 15:55 vro Status new => resolved
2014-02-26 16:37 szy Note Added: 0028037
2014-02-26 16:37 szy Assigned To szy => mkv
2014-02-26 16:37 szy Status resolved => reviewed
2014-02-26 17:35 mkv Assigned To mkv => apn
2014-03-05 14:55 apn Assigned To apn => vro
2014-03-05 15:21 apn Assigned To vro => apn
2014-03-17 14:25 apn Note Added: 0028300
2014-03-17 14:25 apn Assigned To apn => vro
2014-03-17 14:25 apn Status reviewed => assigned
2014-03-17 16:33 vro Note Added: 0028309
2014-03-31 16:24 vro Assigned To vro => apn
2014-04-04 18:09 abv Target Version 6.7.1 => 6.8.0
2014-09-30 09:30 abv Target Version 6.8.0 => 7.1.0
2015-07-27 14:18 kgv Note Added: 0043566
2015-07-27 14:18 kgv Assigned To apn => bugmaster
2015-07-27 14:18 kgv Status assigned => feedback
2015-09-01 14:21 bugmaster Assigned To bugmaster => apn
2015-11-27 14:48 vro Note Added: 0048630
2015-11-27 14:49 vro Status feedback => assigned
2016-02-10 08:05 git Note Added: 0050556
2016-02-10 08:06 vro Assigned To apn => szy
2016-02-10 08:06 vro Status assigned => resolved
2016-02-10 08:06 vro Steps to Reproduce Updated View Revisions
2016-02-10 09:54 bugmaster Project Internal => Open CASCADE
2016-02-11 10:18 szy Note Added: 0050610
2016-02-11 10:18 szy Assigned To szy => vro
2016-02-11 10:18 szy Status resolved => assigned
2016-02-11 12:31 git Note Added: 0050623
2016-02-11 12:33 vro Assigned To vro => szy
2016-02-11 12:33 vro Status assigned => resolved
2016-02-11 12:33 vro Steps to Reproduce Updated View Revisions
2016-02-12 10:28 szy Note Added: 0050668
2016-02-12 10:28 szy Assigned To szy => mkv
2016-02-12 10:28 szy Status resolved => reviewed
2016-02-12 11:39 bugmaster Assigned To mkv => bugmaster
2016-02-12 12:51 git Note Added: 0050685
2016-02-12 12:51 bugmaster Status reviewed => tested
2016-02-19 11:44 abv Target Version 7.1.0 => 7.0.0
2016-02-21 08:52 abv Changeset attached => occt master aff5997d
2016-02-21 08:52 abv Assigned To bugmaster => abv
2016-02-21 08:52 abv Status tested => verified
2016-02-21 08:52 abv Resolution open => fixed
2016-02-25 17:30 git Note Added: 0051142
2016-03-04 16:52 bugmaster Changeset attached => occt master 6396eacb
2016-03-04 16:52 bugmaster Assigned To abv => bugmaster
2016-04-17 13:27 git Note Added: 0052856
2016-04-17 13:27 git Note Added: 0052857
2016-04-17 13:27 git Note Added: 0052858
2016-04-20 15:43 aiv Fixed in Version => 7.0.0
2016-04-20 15:50 aiv Status verified => closed
2018-03-09 11:17 abv Relationship added parent of 0029559


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker